<?php

/*---------------------------------------------------------------------------------*/
/* News Widget */
/*---------------------------------------------------------------------------------*/

class Woo_NewsWidget extends WP_Widget {

	function Woo_NewsWidget() {
		$widget_ops = array('description' => 'This widget shows a title loop from a certain category.' );
		parent::WP_Widget(false, __('Woo - Latest News', 'woo themes' ),$widget_ops);      
	}

	function widget($args, $instance) { 
		extract( $args ); 
		$title = apply_filters( 'widget_title', empty( $instance['title'] ) ? __( 'Latest News', 'woo themes' ) : $instance['title'] );
		$number = $instance['number'];
		$cat_id = $instance['cat_id'];
		

        echo $before_widget; ?>
        <?php

			echo $before_title .$title. $after_title;
		
		?>
			
         <ul>
				<?php $my_query = new WP_Query('cat=' . $cat_id . '&posts_per_page=' . $number); ?>

                <?php while ($my_query->have_posts()) : $my_query->the_post(); ?>
                    
                    <li><strong><a href="<?php echo get_permalink($post->ID); ?>" title="<?php echo get_the_title($post->ID); ?>"><?php echo get_the_title($post->ID); ?></a></strong><span class="meta"><?php echo the_time('d F Y'); ?></span></li>

                <?php endwhile; ?>

		</ul>
            
		<?php
		echo $after_widget;

	}

	function update($new_instance, $old_instance) {                
		return $new_instance;
	}

	function form($instance) {        
		$title = esc_attr($instance['title']);
		$number = esc_attr($instance['number']);
		$cat_id = esc_attr($instance['cat_id']);

		?>
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', 'woo themes' ); ?></label>
            <input type="text" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $title; ?>" class="wide fat" id="<?php echo $this->get_field_id('title'); ?>" />
        </p>
       <p>
	   	   <label for="<?php echo $this->get_field_id('cat_id'); ?>"><?php _e('Category:', 'woo themes' ); ?></label>
	       <?php $cats = get_categories(); ?>
	       <select name="<?php echo $this->get_field_name('cat_id'); ?>" class="wide fat" id="<?php echo $this->get_field_id('cat_id'); ?>">
           <option value="">Disabled</option>
			<?php
			
           	foreach ($cats as $cat){
           	?><option value="<?php echo $cat->cat_ID; ?>" <?php if($cat_id == $cat->cat_ID){ echo "selected='selected'";} ?>><?php echo $cat->cat_name . ' (' . $cat->category_count . ')'; ?></option><?php
           	}
           ?>
           </select>
         </p>
        <p>
            <label for="<?php echo $this->get_field_id('number'); ?>"><?php _e('No. of Posts:', 'woo themes' ); ?></label>
            <input type="text" name="<?php echo $this->get_field_name('number'); ?>" value="<?php echo $number; ?>" class="wide fat" id="<?php echo $this->get_field_id('number'); ?>" />
        </p>

        <?php
	}
} 

register_widget('Woo_NewsWidget');